XFcPrimitiveDrawRadialGradientFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawRadialGradientFiller Class Reference

Radial gradient filler. More...

Inheritance diagram for XFcPrimitiveDrawRadialGradientFiller:

[legend]
Collaboration diagram for XFcPrimitiveDrawRadialGradientFiller:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveDrawRadialGradientFiller ()
| Virtual destructor.
virtual XFCIMPORT void | setGradientBase (XFcVector2 &aCenter, XFcVector2 &aFocalPoint, REAL aRadius)
| Sets the base values for the gradient.
virtual XFCIMPORT void | fill (INT32 aXStart, INT32 aXEnd, INT32 aY, UINT32 *aScanline)

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawRadialGradientFiller * | create (XFcVector2 &aCenter, XFcVector2 &aFocalPoint, REAL aRadius)
| Creates a radial gradient that has its center in aCenter, focal point in aFocalPoint and radius of aRadius.

## Protected Member Functions

| XFcPrimitiveDrawRadialGradientFiller ()
| Protected constructor.

## Protected Attributes

XFcVector2 | mCenter
XFcVector2 | mFocalPoint
REAL | mRadius

## Detailed Description

Radial gradient filler.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveDrawRadialGradientFiller::~XFcPrimitiveDrawRadialGradientFiller | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcPrimitiveDrawRadialGradientFiller::XFcPrimitiveDrawRadialGradientFiller | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcPrimitiveDrawRadialGradientFiller* XFcPrimitiveDrawRadialGradientFiller::create | ( | XFcVector2 & | aCenter,
|  | XFcVector2 & | aFocalPoint,
|  | REAL | aRadius
| ) | `[static]`

| Creates a radial gradient that has its center in aCenter, focal point in aFocalPoint and radius of aRadius.

virtual XFCIMPORT void XFcPrimitiveDrawRadialGradientFiller::fill | ( | INT32 | aXStart,
|  | INT32 | aXEnd,
|  | INT32 | aY,
|  | UINT32 * | aScanline
| ) | `[virtual]`

| Fills aLength PREMULA8R8G8B8 pixels to a scanline. param aXStart the starting position on the scanline param aXEnd the ending position on the scanline param aY the y position of the scanline param aScanline the start of the scanline Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawRadialGradientFiller::setGradientBase | ( | XFcVector2 & | aCenter,
|  | XFcVector2 & | aFocalPoint,
|  | REAL | aRadius
| ) | `[virtual]`

| Sets the base values for the gradient.

## Member Data Documentation

XFcVector2 XFcPrimitiveDrawRadialGradientFiller::mCenter`[protected]`

XFcVector2 XFcPrimitiveDrawRadialGradientFiller::mFocalPoint`[protected]`

REAL XFcPrimitiveDrawRadialGradientFiller::mRadius`[protected]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch